Loading...
Searching...
No Matches
firmware::UpdateHistoryEntry Struct Reference

Firmware update history entry TODO: implement CR# 45668 on next interface change add comment field based on firmware tag "char tag[64];" to improve firmware update history entries without rootfs images More...

## Public Attributes

time | timestamp
| UNIX timestamp (UTC) when the update was started.
string | oldVersion
| Previous firmware version.
string | imageVersion
| Firmware version of update image.
string | imageMD5
| MD5 hash of update image.
UpdateHistoryStatus | status
| Update status.

## Detailed Description

Firmware update history entry TODO: implement CR# 45668 on next interface change add comment field based on firmware tag "char tag[64];" to improve firmware update history entries without rootfs images

The documentation for this struct was generated from the following file:

- Firmware.idl